Summary: oVirt 4.5 packages from the CentOS Virtualization SIG repository
Name: centos-release-ovirt45
Version: 9.2
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Virtualization
Source0: CentOS-oVirt-4.5.repo
Source1: COPYING
Source2: RPM-GPG-KEY-oVirt-4.5
Source3: CentOS-oVirt-4.5-testing.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-ceph-pacific
Requires: centos-release-nfv-openvswitch
Requires: centos-release-opstools
Requires: centos-release-virt-common
Requires: centos-release-gluster10
Requires: centos-release-openstack-yoga

Requires(post): python3-dnf-plugins-core

%description
Configuration and basic docs for oVirt 4.5 packages as delivered via the
CentOS Virtualization SIG.


%package -n %{name}-testing
Summary: oVirt 4.5 testing packages from the CentOS Virtualization SIG repository
Requires: %{name}

%description -n %{name}-testing
Configuration and basic docs for oVirt 4.5 testing packages as delivered via the
CentOS Virtualization SIG.



%prep
cp %{SOURCE1} .


%build
# nothing to build

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/


%post
if [ $(rpm --eval "%%centos") == 9 ]
then
# centos macro is defined on centos-like distributions
# Ensuring crb repository is enabled
dnf config-manager --set-enabled crb
# Ensuring resilientstorage repository is enabled
dnf config-manager --set-enabled resilientstorage
# Avoid conflicts with rdo openvswitch
dnf config-manager --save  --setopt="exclude=python3-rdo-openvswitch rdo-openvswitch rdo-ovn rdo-ovn-central rdo-ovn-host"
fi

%files
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-oVirt-4.5
%license COPYING

%files -n %{name}-testing
%license COPYING
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo

%changelog
* Thu Dec 22 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.2-1
- Avoid collision with rdo openvswitch
- Bump to 9.2

* Wed Nov 02 2022 Lev Veyde <lveyde@redhat.com> - 9.1-3
- Updated oVirt GPG key

* Wed Jun 15 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.1-2
- move testing repos to separate subpackage

* Thu May 12 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.1-1
- skip repo enablement on RHEL as it requires subscription manager.

* Tue May 03 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-6
- Use fastest mirror for resources.ovirt.org.

* Fri Apr 22 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-5
- drop noreplace on CentOS-oVirt-4.5.repo

* Tue Apr 19 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-4
- Require centos-release-openstack-yoga instead of providing repo

* Mon Apr 11 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-3
- Enable release repo for Yoga

* Tue Apr 05 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-2
- Point to RDO Yoga instead of Master whihc is now Zed
- Ready for oVirt 4.5.0 Beta.

* Wed Mar 09 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 9.0-1
- Ready for oVirt 4.5.0 Alpha.
- Changed versioning to match stream release

* Tue Mar 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.3
- Add oVirt upstream repositories for packages which couldn't build within CBS.

* Fri Feb 04 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.2
- Ensure crb repo is enabled
- Ensure resilientstorage repo is enabled

* Tue Feb 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.1
- Initial pre-release packaging
